package io.swagger.client.api

import io.swagger.client.model.Inline_response_200_7
import com.wordnik.swagger.client._
import scala.concurrent.Future
import collection.mutable

class HostingftpAPIApi(client: TransportClient, config: SwaggerConfig) extends ApiClient(client, config) {

  def ftpListGet(token: String)(implicit reader: ClientResponseReader[List[Inline_response_200_7]]): Future[List[Inline_response_200_7]] = {
    // create path and map variables
    val path = (addFmt("/ftp/list"))

    // query params
    val queryParams = new mutable.HashMap[String, String]
    val headerParams = new mutable.HashMap[String, String]

    if (token != null) queryParams += "_token_" -> token.toString



    val resFuture = client.submit("GET", path, queryParams.toMap, headerParams.toMap, "")
    resFuture flatMap { resp =>
      process(reader.read(resp))
    }
  }


}
