package io.swagger.client.model

import org.joda.time.DateTime
import java.util.UUID


case class Inline_response_200_1 (
  id: Integer,  // Идентификатор аккаунта
description: String,  // Описание аккаунта
billing_group_id: Integer,  // Идентификатор тарифной группы
blocked: String,  // Аккаунт заблокирован, если true
blocked_date: Option[String],  // Дата блокировки
blocked_reason: Option[String],  // Причина блокировки
credit_limit: Number,  // Ограничение суммы на работу в аванс
plan_id: Integer,  // Идентификатор тарифа
period_id: Integer,  // Идентификатор тарифа (периода)
contract_type: Integer,  // Тип договора
client_id: Integer,  // 
client_login: String,  // Логин клиента
contract_id: String,  // Номер договора
name_rus: String,  // Имя клиента на русском
name_eng: String,  // Имя клиента на английском
email: String,  // E-mail клиент
stat_sites: Integer,  // Количество созданных сайтов
stat_size_mb: Integer,  // Используемое дисковое пространство
stat_emails: Integer,  // Количество созданных почтовых ящиков
stat_mysqls: Integer,  // Количество баз данных MySQL
stat_tech: Integer,  // 
stat_nicd: Integer,  // 
stat_access_dynamic: Integer,  // 
stat_access_static: Integer,  // 
stat_access_traffic: Integer,  // 
stat_paid_total: Integer,  // 
stat_vds_size: Integer,  // Размер дисков VDS
__plan_name: String,  // Название тарифного плана
__period_months: Integer,  // Количество месяцев в оплаченном периоде
__period_price: Number,  // Стоимость оплаченного периода
__expires: String,  // 
external_currency_spelled_prefix: String,  // Префикс для вывода текущей валюты хостинга (например, в строке &#39;$100&#39; префиксом является &#39;$&#39;)
external_currency_spelled_suffix: String  // Суффикс для вывода текущей валюты хостинга (например, в строке &#39;100 руб.&#39; суффиксом является &#39; руб.&#39;
)
